<?php

namespace Drupal\openquestions\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\openquestions\Entity\OQVote;

/**
 * Event that contains a vote.
 */
class OQVoteEvent extends Event {

	const EVENT = 'openquestions.oq_vote_event';

	/**
	 * The vote involved in this event.
	 *
	 * @var \Drupal\openquestions\Entity\OQVote
	 */
	protected $oqVote;

	/**
	 * Construct with the vote.
	 *
	 * @param \Drupal\openquestions\Entity\OQVote $oqVote
	 * The vote.
	 */
	public function __construct(OQVote $oqVote) {
		$this->oqVote = $oqVote;
	}

	/**
	 * Returns the vote involved in this event.
	 *
	 * @return \Drupal\openquestions\Entity\OQVote
	 * The vote.
	 */
	public function getVote() {
		return $this->oqVote;
	}

}
