<?php

namespace Drupal\openquestions\Model;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining an oq item entity type.
 */
interface OqItemInterface extends ContentEntityInterface, EntityOwnerInterface, EntityChangedInterface {

	/**
	 * Returns info on the votes on this item.
	 */
	public function getVoteData() : VoteDataInterface;

	/**
	 * Returns the questions for this item.
	 */
	public function getQuestions();

}
