<?php

namespace Drupal\openquestions\Model;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining an oq question entity type.
 */
interface OqQuestionInterface extends ContentEntityInterface, EntityOwnerInterface, EntityChangedInterface {

	/**
	 * Returns the options for this question.
	 */
	public function getOptions();

	/**
	 * Returns the range of options for this question as an array with 'first', 'last', and 'type' ('range' or 'binary').
	 */
	public function getOptionsRangeInfo();

	/**
	 * Returns the name of the given option (e.g., "Yes" or "5").
	 */
	public function getOptionName($optionValue);

}
