<?php

namespace Drupal\openquestions\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'OQ Question Options' formatter.
 *
 * @FieldFormatter(
 *	 id = "openquestions_question_options_formatter",
 *	 label = @Translation("OQ Question Options"),
 *	 module = "openquestions",
 *	 field_types = {
 *		 "openquestions_question_options"
 *	 }
 * )
 */
class QuestionOptionsFormatter extends FormatterBase {

	/**
	 * {@inheritdoc}
	 */
	public function viewElements(FieldItemListInterface $items, $langcode) {
		$element = [];

		foreach ($items as $delta => $item) {
			$element[$delta] = [
				'#markup' => $item->value,
			];
		}

		return $element;
	}

}
