<?php

namespace Drupal\openquestions\Plugin\Field\FieldType;

use Drupal\Component\Utility\Random;
use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\Core\Field\FieldItemBase;
use Drupal\Core\Field\FieldStorageDefinitionInterface;
use Drupal\Core\TypedData\DataDefinition;
use Drupal\Core\Field\Plugin\Field\FieldType\StringLongItem;

/**
 * Defines the 'openquestions_question_options' field type.
 *
 * @FieldType(
 *	 id = "openquestions_question_options",
 *	 label = @Translation("OQ Question Options"),
 *	 description = @Translation("Holds the possible options (yes/no, 1 to 5, etc) for an OQ Question."),
 *	 module = "openquestions",
 *	 category = @Translation("General"),
 *	 default_widget = "openquestions_question_options_widget",
 *	 default_formatter = "openquestions_question_options_formatter"
 * )
 */
class QuestionOptionsItem extends StringLongItem {
}
