<?php

namespace Drupal\openquestions\Plugin\Field\FieldWidget;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\WidgetBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Defines the 'openquestions_question_options' field widget.
 *
 * @FieldWidget(
 *	 id = "openquestions_question_options_widget",
 *	 label = @Translation("OQ Question Options"),
 *	 module = "openquestions",
 *	 field_types = {
 *		 "openquestions_question_options"
 *	 }
 * )
 */
class QuestionOptionsWidget extends WidgetBase {

	/**
	 * {@inheritdoc}
	 */
	public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state) {
		$element['value'] = $element + [
			'#type' => 'textarea',
			'#default_value' => isset($items[$delta]->value) ? $items[$delta]->value : NULL,
		];

		return $element;
	}

}
