<?php

namespace Drupal\openquestions\Plugin\views\field;

use Drupal\Core\Form\FormStateInterface;
use Drupal\node\Entity\NodeType;
use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;

/**
 * Field handler to obfuscate text.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("application_text_obfuscator")
 */
class ApplicationTextObfuscator extends FieldPluginBase {

	/**
	 * @{inheritdoc}
	 */
	public function query() {
	}

	/**
	 * @{inheritdoc}
	 */
	public function render(ResultRow $values) {
		$application = $this->getEntity($values);
		if (!$application) {
			return '--';
		}

		$text = $application->get('description')->value;

		return str_rot13($text);
	}

}
